## wvdial-1.54.0.tar.gz

=== Makefile ===
ifeq ($(TOPDIR),)
  TOPDIR=.
  PKGINC=/usr/include/wvstreams /usr/local/include/wvstreams
  LIBS := $(LIBS) \
		$(shell $(CC) -lsupc++ 2>&1 | grep -q "undefined reference" \
			&& echo " -lsupc++")
endif

PREFIX=/usr/local
BINDIR=${PREFIX}/bin
MANDIR=${PREFIX}/share/man
PPPDIR=/etc/ppp/peers

include $(TOPDIR)/wvrules.mk

XPATH=.. ../wvstreams/include $(PKGINC)

default: all papchaptest
all: wvdial.a wvdial wvdialconf pppmon

wvdial.a: wvdialer.o wvdialtext.o wvmodemscan.o wvpapchap.o wvdialbrain.o \
	wvdialmon.o

LIBS += -L../wvstreams -lwvutils -lwvstreams

wvdial wvdialconf papchaptest pppmon: wvdial.a

install-bin: all
	[ -d ${BINDIR}      ] || install -d ${BINDIR}
	[ -d ${PPPDIR}      ] || install -d ${PPPDIR}
	install -m 0755 wvdial wvdialconf ${BINDIR}
	cp ppp.provider ${PPPDIR}/wvdial
	cp ppp.provider-pipe ${PPPDIR}/wvdial-pipe

install-man:
	[ -d ${MANDIR}/man1 ] || install -d ${MANDIR}/man1
	[ -d ${MANDIR}/man5 ] || install -d ${MANDIR}/man5
	install -m 0644 wvdial.1 wvdialconf.1 ${MANDIR}/man1
	install -m 0644 wvdial.conf.5 ${MANDIR}/man5

install: install-bin install-man

uninstall-bin:
	rm -f ${BINDIR}/wvdial ${BINDIR}/wvdialconf
	rm -f ${PPPDIR}/wvdial
	rm -f ${PPPDIR}/wvdial-pipe

uninstall-man:
	rm -f ${MANDIR}/man1/wvdial.1 ${MANDIR}/man1/wvdialconf.1
	rm -f ${MANDIR}/man5/wvdial.conf.5

uninstall: uninstall-bin uninstall-man

clean:
	rm -f wvdial wvdialconf wvdialmon papchaptest pppmon *.o *.a

.PHONY: clean all install-bin install-man install uninstall-bin uninstall-man \
	uninstall

=== debian/changelog ===
wvdial (1.54+20030926-1) unstable; urgency=low

  * Make a non-native debian package with an empty diff. (Closes: #160969)
  * Add manpages for pon.wvdial and poff.wvdial (Closes: #201673)

 -- James A. Morrison <phython@debian.org>  Fri, 19 Sep 2003 14:21:38 -0400

wvdial (1.54+20030509-1) unstable; urgency=low

  * Synchronize with WvStreams 3.73
  * More cleanup of various internals
  * Add support for SmartLink WinModems
  * Re-add debian revision (Closes: #160969).
  * Acknowledge NMU. (Closes: #141654)

 -- James Morrison <phython@debian.org>  Mon, 14 Apr 2003 11:56:18 -0400

wvdial (1.53.0.1) unstable; urgency=low

  * NMU
  * Remove ugly cast that seems to not help anything in older g++, and
    actively break stuff in g++ 3.0, thus causing FTBFS errors (Closes: #141654)

 -- Moshe Zadka <moshez@debian.org>  Sat, 13 Apr 2002 14:02:44 +0300

wvdial (1.53) unstable; urgency=high

  * Synchronize with WvStreams 3.70, fixes WvPipe Bug (Closes: #141277)
  * Previous updates close various bugs - see previous Changelog entries
    (Closes: #131645), (Closes: #58124), (Closes: #120879)

 -- Patrick Patterson <ppatters@debian.org>  Fri,  5 Apr 2002 13:34:06 -0500

wvdial (1.52) unstable; urgency=low

  * Fix error in --config option to actually let it get to the default

 -- Patrick Patterson <ppatters@debian.org>  Mon,  1 Apr 2002 23:48:01 -0500

wvdial (1.51) unstable; urgency=medium

  * Synchronise with libwvstreams v3.69

  * Changed WvDial to a native Debian Package (Closes: #131645)

  * New Maintainer for WvDial Patrick Patterson <ppatters@debian.org>, 
    taking over by mutual agreement from Baruch Even <baruch@debian.org>.

  * WvDialConf actually works with this release

  * Applied some patches from Andrew W. Nosenko <awn@bcs.zp.ua> that
    fix a couple of typos, and which makes sure that the wvdialconf man page
    gets installed.

  * Applied some patches from RedHat to make sure that WvDial and
    WvStreams compile clean on 64 bit architectures. Also did some cleanup
    to make sure that the goofy GCC that RedHat ships doesn't complain on
    some bits of WvDial.

  * Applied patches from SuSE to ensure that WvDial compiles cleanly 
    using GCC 3.1, as well, adapt a patch to make sure that wvdialconf
    creates the wvdial.conf file mode 660.Also applied their multi-phone
    number patch (so it will dial several phone numbers in order if you ask
    it nicely), as well as their check to make sure inherited sections 
    actually exist.

  * Applied patch from Dushyanth Harinath <dushy@symonds.net> to implement
    the "Dial Attempts" option, which will now cause WvDial to stop trying
    to dial after the number in this option is exceeded.

  * Applied a mega patch from SuSE that added better ISDN support, added USB
    modem support, added a "--no-syslog" option, inactivity timeouts,
    interactive passwords (WvDial will now prompt you for passwords if you
    ask it to), Connection checking once you're online (which can probably be
    adapted to run your copy of retchmail (or if you are still using fetchmail..
    I guess you could run that as well) once you are online. It also reputedly  
    works better with DialD.

  *  It should be mentioned somewhere that all of these nifty new features
     are pretty much completely untested. So please bang at them, look at them,
     and please send the bug reports to wvdial-list@lists.nit.ca. That's where 
     all of the cool wvdial hackers hang out ;)

 -- Patrick Patterson <ppatters@debian.org>  Mon,  4 Mar 2002 12:26:20 -0500

wvdial (1.50-1) unstable; urgency=low

  * New Upstream version and major packaging changes

 -- Patrick Patterson <ppatters@nit.ca>  Mon, 28 Jan 2002 14:01:04 -0500

wvdial (1.42-1) unstable; urgency=low

  * New upstream version and some packaging changes.  Should fix
  	bugs #65144, 66005, 71556, 78350, 91085, 31041, 19883, 53485.
  * Thanks to Josip Rodin <jrodin@public.srce.hr> for the new wvdial.conf(5)
  	man page.

 -- Avery Pennarun <apenwarr@debian.org>  Fri, 11 May 2001 15:43:05 -0400

wvdial (1.41) unstable; urgency=low

  * Recompiled for potato using the latest upstream version, debhelper,
  	and libstdc++.  No real changes.

 -- Avery Pennarun <apenwarr@debian.org>  Thu,  6 Jan 2000 21:57:46 -0500

wvdial (1.40) unstable; urgency=low

  * New upstream version adds bugs and new features.  Er, I mean, removes
    bugs.  Of course.  Ahem.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  2 Aug 1999 15:25:47 -0400

wvdial (1.20) frozen unstable; urgency=low

  * New upstream version corrects some bugs in the prompt-response code
    and Makefiles, so several ISP's now work again.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  8 Nov 1998 15:45:00 -0500

wvdial (1.10) unstable; urgency=low

  * New upstream version.  Now redials automatically if you get
    disconnected, among other things.  (Boy, being the upstream and
    downstream maintainer sure can be tiring!)

 -- Avery Pennarun <apenwarr@debian.org>  Wed, 23 Sep 1998 22:22:17 -0400

wvdial (1.01) unstable; urgency=low

  * New upstream version.  Fixes a few minor bugs.

 -- Avery Pennarun <apenwarr@debian.org>  Thu, 10 Sep 1998 14:55:50 -0400

wvdial (1.00) unstable; urgency=low

  * New upstream version.  Now builds without changes on Debian 2.0.
    (fixes bug#23103)

 -- Avery Pennarun <apenwarr@debian.org>  Tue, 25 Aug 1998 22:40:07 -0400
    

wvdial (0.41) frozen unstable; urgency=low

  * New upstream version, fixes bug#19092 (requirement for 'noauth' option)
  * Now works much better with pppd 2.3.x.
  * Longer delay before killing pppd; avoids permissions problems.

 -- Avery Pennarun <apenwarr@debian.org>  Sat, 16 May 1998 16:29:31 -0400

wvdial (0.31) frozen unstable; urgency=low

  * New upstream version, fixes bug#19173 (core dumps) and several others.
  * Changed postinst/postrm to not divert pon/poff scripts.
    Fixes bug#19244.

 -- Avery Pennarun <apenwarr@debian.org>  Sun, 15 Mar 1998 17:23:00 -0500



=== debian/control ===
Source: wvdial
Section: comm
Priority: optional
Maintainer: Patrick Patterson <ppatters@debian.org>
Uploaders: Baruch Even <baruch@debian.org>, James Morrison <phython@debian.org>
Build-Depends: debhelper (>> 3.0.0), libwvstreams-dev
Standards-Version: 3.5.9.0

Package: wvdial
Architecture: any
Depends: ppp (>= 2.3.0), ${shlibs:Depends}
Description: PPP dialer with built-in intelligence
 WvDial sacrifices some of the flexibility of programs like "chat" in order
 to make your dialup configuration easier.  When you install this package,
 your modem will be detected automatically and you need to specify just
 three parameters: the phone number, username, and password.  WvDial knows
 enough to dial with most modems and log in to most servers without any
 other help.
 .
 In particular, you no longer need a "chat script" to handle the most common
 situations.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for WvDial, using debhelper. 
#
# Modified by Avery Pennarun from the debhelper sample, which was
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CXXOPTS="-fno-implement-inlines -fno-rtti -fno-exceptions"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=`pwd`/debian/tmp/usr \
		PPPDIR=`pwd`/debian/tmp/etc/ppp/peers \
		install-bin
	cp debian/pon.wvdial debian/poff.wvdial debian/tmp/usr/bin/
	dh_link
	dh_installdocs
	dh_installman
	dh_installchangelogs -k CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
